#ifndef GROUPWIZARD_H
#define GROUPWIZARD_H

#define Q_OS_LINUX

#include <QApplication>
#include <QMessageBox>
#include <QLineEdit>
#include <QComboBox>
#include <QPushButton>
#include <QTextCodec>
#include <QByteArray>
#include <QTabWidget>
#include <QStackedLayout>
#include <QGroupBox>
#include <QTabWidget>
#include <QTableWidget>
#include <QTableWidgetItem>
#include <QLabel>
#include <QScrollBar>
#include <QGroupBox>
#include <QHeaderView>
#include <QFormLayout>
#include "window.h"
#include "utility.h"
#include "groupinfo.h"

class QLabel;


//! [0]
class groupwizard : public PWindow
{
   Q_OBJECT

public:

groupwizard(QWidget *parent = 0);

public slots:
	void keypressed(QByteArray &keyt);
private:

QPushButton* RenameButton;
QPushButton* InsertButton;
QPushButton* DeleteButton;

PLineEdit *NameEdit;
QDialog* Getname;

QTableWidget *GroupList;

PGroupInfo* CurrentGroup;

void LoadGroups(void);
bool GenerateInputDialog(QString title,QString content);

private slots:
void Rename(void);
void Insert(void);
void Delete(void);
void Cancel(void);



};
//! [0]



#endif
